import { Get, JsonController } from 'routing-controllers';
import { OpenAPI } from 'routing-controllers-openapi';
import { config } from '../config';

/**
 * The statuscontroller provides simple endpoints concerning basic information about the server.
 */
@JsonController()
export class StatusController {
    @Get('/version')
    @OpenAPI({ description: "A very basic endpoint that just returns the curent package version." })
    getVersion() {
        return {
            "version": config.version
        }
    }
}