import {

    IsInt,



    IsString
} from "class-validator";

/**
 * Defines the Donor class.
*/
export class Donor {
    /**
     * The donor's id.
     */
    @IsInt()
    id: number;

    /**
     * The donor's first name.
     */
    @IsString()
    firstname: string;

    /**
     * The donor's middle name.
     */
    @IsString()
    middlename?: string;

    /**
     * The donor's last name.
     */
    @IsString()
    lastname: string;
}
